AUDIT_SET_LOGINUID_IMMUTABLE(3)

NAME
audit_set_loginuid_immutable - make loginuid value immutable

SYNOPSIS
#include <libaudit.h>

int audit_set_loginuid_immutable(int fd);"

DESCRIPTION
audit_set_loginuid_immutable() locks the loginuid so that it can no longer be changed. The descriptor fd must be an open audit netlink socket. This call is equivalent to using audit_set_feature() to enable and lock the AUDIT_FEATURE_LOGINUID_IMMUTABLE bit.

RETURN VALUE
The return value is <= 0 on error, otherwise it is the netlink sequence id number.

SEE ALSO
audit_set_feature(3), audit_open(3).

AUTHOR
Steve Grubb